> For the complete documentation index, see [llms.txt](https://docs.vomevolunteer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vomevolunteer.com/resources/editor/search-profiles.md).

# Search profiles

This endpoint allows for searching profiles based on specific [query parameters](#query-parameters) like `first_name` and `is_offline`, etc. It supports filtering to refine search results and utilizes pagination to handle large datasets efficiently.

#### Endpoint

```
GET /api/profiles/search/
```

**Query Parameters:**

Core Filters

•  **id  (uuid)**: Filters reservations by the ID.&#x20;

•  **first\_name** (`string`): Filters profiles by the first name.

•  **last\_name** (`string`): Filters profiles by the last name.

•  **email** (`string`): Filters profiles by the email.

•  **created\_at** (string, ISO-8601): Filters profiles by profile\_details.created\_at.

* created\_at.gte (string, ISO-8601): Filters by profile\_details.created\_at >= value.
* created\_at.gt (string, ISO-8601): Filters by profile\_details.created\_at > value (strictly after).
* created\_at.lte (string, ISO-8601): Filters by profile\_details.created\_at <= value.
* created\_at.lt (string, ISO-8601): Filters by profile\_details.created\_at < value (strictly before).

####

#### *Sample Requests*

<pre class="language-plaintext"><code class="lang-plaintext"><strong># id
</strong>GET /api/profiles/search/?id=a31a7f99-87c2-4f13-af1e-502a724634d7

# first_name
GET /api/profiles/search/?first_name=Aaron

# last_name
GET /api/profiles/search/?last_name=James

# email
GET /api/profiles/search/?last_name=aaronjames03@domain.com

# created_at
GET /api/profiles/search/?created_at=2024-09-06T02:57:15.008656Z

# created_at.gt
GET /api/profiles/search/?created_at.gt=2024-09-06T02:57:15.008656Z

# created_at.gte
GET /api/profiles/search/?created_at.gte=2024-09-06T02:57:15.008656Z

# created_at.lt
GET /api/profiles/search/?created_at.lt=2024-09-06T02:57:15.008656Z

# created_at.lte
GET /api/profiles/search/?created_at.lte=2024-09-06T02:57:15.008656Z
</code></pre>

**Filtering using Custom Fields**

* **custom\_fields.custom\_field\_value.value\_info.value (string)**: Filters profiles by the value\_info's value of the custom\_field\_value within the custom fields.<br>

```
GET /api/profiles/search/?custom_fields.custom_field_value.value_info.value=blue
```

#### Authorization

Requests to this endpoint require an `API-KEY` in the header:

```python
headers = {
    "API-KEY": "your_unique_api_key_here"
}
response = requests.get("https://api.vomevolunteer.com/api/profiles/search/?first_name=Aaron&last_name=James", headers=headers)
```

Response Object

The response includes a count of total profiles found, navigation links for [pagination](/getting-started/pagination.md), and an array of profile data:

```json
{
    "count": 4,
    "next": null,
    "previous": "http://api.vomevolunteer.com/api/profiles/?page=79",
    "results": [
        {
            "id": "a9a1028f-93a6-401d-9867-1fe59aa2d830",
            "logged_hours": 0,
            "is_offline": true,
            "is_following": false,
            "emergency_contact": {
                "name": "Dana Lauren",
                "phone_number": "+15145555555",
                "relationship": "Sibling"
            },
            "medical_information": {
                "description": "I have allergies to peanuts",
                "has_medical_info": true
            },
            "profile_details": {
                "first_name": "Sara",
                "last_name": "Fried",
                "full_name": "Sara Fried",
                "email": "sara.fried@domain.com",
                "profile_image": "/media/images/user/profile_image/94859378-6a55-44c9-97ce-a737ba5030ed.jpg",
                "phone_number": "+15145555555",
                "date_of_birth": "2004-05-03",
                "gender": 0, //Female
                "gender_text": "",
                "occupation": 2, //Professional
                "occupation_institution_name": "ABC Corporation",
                "skills": [   
                     {
                        "id": "64fd9793-0b67-4b02-a163-f2a7216292af",
                        "skill_title": "Video Editing"
                     },
                ]
                "languages":  [   
                     {
                        "id": "64fd9793-0b67-4b02-a163-f2a7216292af",
                        "language_name": "French"
                     },
                ],
                "address": "1111 Marcus Avenue, New Hyde Park, NY, USA",
                "latitude_longitude": [
                    "40.7567681",
                    "-73.69960300000001"
                ],
                "age": 26
            },
            "opportunities": [
                {
                    "id": "64fd9793-0b67-4b02-a163-f2a7216292af",
                    "opportunity": {
                        "id": "e478b142-ba67-4c83-a5f2-e87a95d513ee",
                        "title": "Opportunity A",
                        "category": {
                            "title": "Education Testing New"
                        }
                    }
                },
            ],
            "most_recent_shift": null,
            "completed_shifts": 0,
            "profile_tags": [
                {
                    "id": "546cbf95-f9e8-4064-91e4-70eb0ed02e3d",
                    "tag": {
                        "id": "ec007482-7c9a-4ec0-963d-8cb0048ff2fc",
                        "tag_title": "Tag A"
                    }
                },
                {
                    "id": "b575b45d-895d-4983-a8e8-57df91ce1692",
                    "tag": {
                        "id": "990c1afb-b1e7-4acd-8103-a6697b116c35",
                        "tag_title": "Tag B"
                    }
                }
            ],
            "custom_fields": [
                {
                    "id": "4ecc41e2-bb20-458c-986c-472da2208f0b",
                    "custom_field": {
                        "id": "b9e2d0f6-11df-434e-a5db-66bf770b3373",
                        "name": "Custom Title - Boolean Field A",
                        "field_type": 10, //Boolean field
                        "is_active": true
                    },
                    "created_at": "2024-09-19T17:35:35.210435Z",
                    "custom_field_value": {
                        "id": "50ffc051-4db3-444c-a477-1bfd5052b157",
                        "value": true
                    }
                },
                {
                    "id": "4c7aee40-ae20-4021-a18f-ca8e6e915f0a",
                    "custom_field": {
                        "id": "b46da1d3-40bd-4e67-b560-abe937ae3064",
                        "name": "Multi-Select (Colors)",
                        "field_type": 3, //Multiple selection field
                        "is_active": true,
                        "options": [
                            {
                                "id": "41788791-32a0-455b-83a4-1c33262b324a",
                                "value": "Blue",
                                "order": 1
                            },
                            {
                                "id": "aa6f4182-3236-4225-8597-46eed1775d10",
                                "value": "Green",
                                "order": 2
                            },
                            {
                                "id": "ed50ba9a-05cf-418b-b990-d19e5d7907ed",
                                "value": "Yellow",
                            "order": 3
                        }
                    ]
                },
                "created_at": "2024-09-19T17:35:44.867923Z",
                "custom_field_value": [
                    {
                        "id": "73dea3c5-0f53-4c70-8925-106cb8493a21",
                        "value": {
                            "id": "41788791-32a0-455b-83a4-1c33262b324a",
                            "value": "Blue",
                            "order": 1
                        }
                    },
                    {
                        "id": "535ae6f4-99e4-4e56-b991-0017273a15ba",
                        "value": {
                            "id": "aa6f4182-3236-4225-8597-46eed1775d10",
                            "value": "Green",
                            "order": 2
                        }
                    }
                ]
            },
        ]
    }
  ]
}
```

For a complete description of each field in this response object, you can visit: [Profiles](/resources/editor.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vomevolunteer.com/resources/editor/search-profiles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
